Bug 196532 - Mapping Caps Lock to Ctrl doesn't always work
Mapping Caps Lock to Ctrl doesn't always work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 23:01 EDT by Shan Shan Huang
Modified: 2008-03-12 02:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 02:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shan Shan Huang 2006-06-23 23:01:03 EDT
Description of problem:

I mapped Caps Lock to Ctrl.  This behaves when using Caps Lock alone is as the
Ctrl key. However, when using Caps Lock together wih Left Shift, it no longer
works.  It appears that Caps Lock in this situation has no function at all.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Map Caps Lock to Ctrl.
2. Designate Ctrl-Left-Shift-Right-Arrow as way to move window to the workspace
on the right
3. Now press Ctrl, Left-Shift, and Right-Arrow together while focus is on a window.
  
Actual results:
Nothing happens.


Expected results:
Window should be moved to the workspace to the right.

Additional info:
Comment 1 Shan Shan Huang 2006-06-23 23:35:30 EDT
You can produce the same bug by pressing Ctrl++ in firefox to try and increase
the font size.  When pressing CapsLoc++, nothing happens.
Comment 2 Bastien Nocera 2007-02-14 07:59:26 EST
What does "xev" tell you when you press the Caps-Lock key?
How did you "map Caps Lock to Ctrl" (please describe the exact steps)?
Comment 3 petrosyan 2008-03-12 02:05:00 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.